<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payment_reminders', function (Blueprint $table) {
            $table->increments('id');

            $table->string('title')->nullable();
            $table->string('subject')->nullable();
            $table->unsignedSmallInteger('interval')->nullable();
            $table->text('message')->nullable();
            $table->string('action')->nullable();
            $table->string('clearingtype', 3)->nullable();
            $table->boolean('active')->default(true);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payment_reminders');
    }
};
